## GooCanvasGroupModel GooCanvasGroupModel — a model for a group of items. |

## Functions

GooCanvasItemModel * | goo_canvas_group_model_new ()

## Properties

double | height | Read / Write
double | width | Read / Write
double | x | Read / Write
double | y | Read / Write

## Types and Values

struct | GooCanvasGroupModel

## Object Hierarchy

        GObject
        ╰── GooCanvasItemModelSimple
            ╰── GooCanvasGroupModel
                ╰── GooCanvasTableModel

## Implemented Interfaces

GooCanvasGroupModel implements GooCanvasItemModel.

## Description

GooCanvasGroupModel represents a group of items. Groups can be nested to any depth, to create a hierarchy of items. Items are ordered within each group, with later items being displayed above earlier items.

GooCanvasGroupModel is a subclass of GooCanvasItemModelSimple and so inherits all of the style properties such as "stroke-color", "fill-color" and "line-width". Setting a style property on a GooCanvasGroupModel will affect all children of the GooCanvasGroupModel (unless the children override the property setting).

GooCanvasGroupModel implements the GooCanvasItemModel interface, so you can use the GooCanvasItemModel functions such as `goo_canvas_item_model_raise()` and `goo_canvas_item_model_rotate()`, and the properties such as "visibility" and "pointer-events".

To create a GooCanvasGroupModel use `goo_canvas_group_model_new()`.

To get or set the properties of an existing GooCanvasGroupModel, use `g_object_get()` and `g_object_set()`.

To respond to events such as mouse clicks on the group you must connect to the signal handlers of the corresponding GooCanvasGroup objects. (See `goo_canvas_get_item()` and “item-created”.)

## Functions

### goo_canvas_group_model_new ()

    GooCanvasItemModel *
    goo_canvas_group_model_new (GooCanvasItemModel *parent,
                                ...);

Creates a new group item.

#### Parameters

parent | the parent model, or `NULL`. If a parent is specified, it will assume ownership of the item, and the item will automatically be freed when it is removed from the parent. Otherwise call `g_object_unref()` to free it. | [skip]
... | optional pairs of property names and values, and a terminating `NULL`. |

#### Returns

a new group model.

[transfer full]

## Types and Values

### struct GooCanvasGroupModel

    struct GooCanvasGroupModel;

The GooCanvasGroupModel struct contains private data only.

## Property Details

### The `“height”` property

      “height”                   double

The height of the group, or -1 to use the default height.

Owner: GooCanvasGroupModel

Flags: Read / Write

Default value: -1

### The `“width”` property

      “width”                    double

The width of the group, or -1 to use the default width.

Owner: GooCanvasGroupModel

Flags: Read / Write

Default value: -1

### The `“x”` property

      “x”                        double

The x coordinate of the group.

Owner: GooCanvasGroupModel

Flags: Read / Write

Default value: 0

### The `“y”` property

      “y”                        double

The y coordinate of the group.

Owner: GooCanvasGroupModel

Flags: Read / Write

Default value: 0